petsc-3.10.5 2019-03-28
Report Typos and Errors

# SNESFASCycleGetCorrection

Gets the coarse correction FAS context for this level

### Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESFASCycleGetCorrection(SNES snes, SNES *correction)

Logically Collective on SNES

### Input Parameters

snes -the multigrid context

### Output Parameters

correction -the coarse correction on this level

### Notes

Returns NULL on the coarsest level.

### Keywords

SNES, FAS, get, smoother, multigrid

### See Also

SNESFASCycleGetSmootherUp(), SNESFASCycleGetSmoother()

### Level

advanced

### Location

src/snes/impls/fas/fasfunc.c
Index of all SNESFAS routines
Table of Contents for all manual pages
Index of all manual pages